# eric4.QScintilla.Lexers.LexerCPP

Module implementing a CPP lexer with some additional methods.

### Classes

LexerCPP | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerCPP

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerCPP, Lexer

### Methods

LexerCPP | Constructor
autoCompletionWordSeparators | Public method to return the list of separators for autocompletion.
initProperties | Public slot to initialize the properties.

#### LexerCPP (Constructor)

LexerCPP(parent=None, caseInsensitiveKeywords = False)

Constructor

parent
  parent widget of this lexer

#### LexerCPP.autoCompletionWordSeparators

autoCompletionWordSeparators()

Public method to return the list of separators for autocompletion.

Returns:
  list of separators (QStringList)

#### LexerCPP.initProperties

initProperties()

Public slot to initialize the properties.

Up